classification
Title: Use specific asserts in threading tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: BreamoreBoy, berker.peksag, brett.cannon, demian.brecht, pitrou, python-dev, rbcollins, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-02-07 21:34 by serhiy.storchaka, last changed 2016-03-14 08:42 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_threading_asserts.patch serhiy.storchaka, 2014-02-07 21:34 review
test_threading_asserts_2.patch serhiy.storchaka, 2015-08-02 13:04 review
Messages (9)
msg210562 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-02-07 21:34
The proposed patch makes the threading module tests use more specific asserts. This will provide more useful failure report.
msg237324 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-03-06 02:28
Cut and paste error?

         if verbose:
@@ -110,17 +110,17 @@
         for t in threads:
             t.join()
             self.assertTrue(not t.is_alive())
+            self.assertFalse(t.is_alive())
msg237373 - (view) Author: Demian Brecht (demian.brecht) * (Python triager) Date: 2015-03-06 19:44
LGTM
msg247596 - (view) Author: Robert Collins (rbcollins) * (Python committer) Date: 2015-07-29 18:24
ping @serhiy - there's a bug in the patch. Moving back to patch review.
msg247866 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-08-02 13:04
Yes, I missed to remove one old assertion. Thanks Mark.
msg258559 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-01-18 23:18
test_threading_asserts_2.patch looks good to me.
msg261717 - (view) Author: Robert Collins (rbcollins) * (Python committer) Date: 2016-03-14 02:38
@Serhiy care to commit it?
msg261732 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-14 08:40
New changeset 791d7ef006d3 by Serhiy Storchaka in branch '3.5':
Issue #20556: Used specific assert methods in threading tests.
https://hg.python.org/cpython/rev/791d7ef006d3

New changeset 9f8db4d1e149 by Serhiy Storchaka in branch '2.7':
Issue #20556: Used specific assert methods in threading tests.
https://hg.python.org/cpython/rev/9f8db4d1e149

New changeset b11acba0b785 by Serhiy Storchaka in branch 'default':
Issue #20556: Used specific assert methods in threading tests.
https://hg.python.org/cpython/rev/b11acba0b785
msg261733 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-03-14 08:42
Thank you all for your reviews.
History
Date User Action Args
2016-03-14 08:42:33serhiy.storchakasetstatus: open -> closed
messages: + msg261733

assignee: serhiy.storchaka
resolution: fixed
stage: commit review -> resolved
2016-03-14 08:40:45python-devsetnosy: + python-dev
messages: + msg261732
2016-03-14 02:38:00rbcollinssetmessages: + msg261717
2016-01-18 23:18:53berker.peksagsetversions: - Python 3.4
nosy: + berker.peksag

messages: + msg258559

stage: patch review -> commit review
2015-08-02 13:04:41serhiy.storchakasetfiles: + test_threading_asserts_2.patch

messages: + msg247866
versions: + Python 3.5, Python 3.6, - Python 3.3
2015-07-29 18:24:05rbcollinssetnosy: + rbcollins

messages: + msg247596
stage: commit review -> patch review
2015-03-06 19:44:07demian.brechtsetnosy: + demian.brecht

messages: + msg237373
stage: patch review -> commit review
2015-03-06 02:28:49BreamoreBoysetnosy: + BreamoreBoy
messages: + msg237324
2014-02-07 21:36:36serhiy.storchakalinkissue16510 dependencies
2014-02-07 21:34:38serhiy.storchakacreate